#ifndef CAPTURE_FORCE_TORQUE_INERTIAL_H
#define CAPTURE_FORCE_TORQUE_INERTIAL_H

#include <core/capture/capture_motion.h>

namespace wolf
{

WOLF_PTR_TYPEDEFS(CaptureForceTorqueInertial);

class CaptureForceTorqueInertial : public CaptureMotion
{
    CaptureForceTorqueInertial(const TimeStamp&       _init_ts,
                               SensorBasePtr          _sensor_ptr,
                               const Eigen::VectorXd& _data,
                               const Eigen::MatrixXd& _data_cov,
                               CaptureBasePtr         _capture_origin_ptr = nullptr);
    virtual ~CaptureForceTorqueInertial();
};

}  // namespace wolf

#endif  // CAPTURE_FORCE_TORQUE_INERTIAL_H